Bug 7531 - dspam(-mysql) could not be used with amavisd/postfix
: dspam(-mysql) could not be used with amavisd/postfix
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dspam-mysql)
: unstable
: all Linux
: P1 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-03 10:49 by
Modified: 2010-10-30 21:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-03 10:49:24
Неправильные атрибуты файлов, в пакете dspam/dspam-mysql все принадлежит root,
а
постфикс и амавис у нас в группе mail. В результате из-под амависа dspam не
запускается, а также не может прочитать свой конфигурационный файл и писать в
/var/lib/dspam/. Надо менять группу на mail и ставить sgid на экзешники.
Steps to Reproduce:
1. Установить и сконфигурировать amavisd-new
2. Установить и сконфигурировать dspam/dspam-mysql
3. Сконфигурировать postfix в связке с amavisd
4. Запустить всю эту байду
5. Читать /var/log/maillog на предмет ругани по ключевому слову dspam
6. Изначально amavisd будет ругаться, что вообще dspam в упор не видит, по мере
исправления атрибутов - увидит, но не сможет запустить, потом запустит, но
dspam
не сможет прочитать свой конфиг... ну и так далее, пока все атрибуты не
исправить руками.

Actual Results:  
Пример из /var/log/maillog, это после обновления, слетели только атрибуты на
экзешнике dspam-mysql:
Aug  3 09:48:33 protein amavis[15472]: (04038-04) run_command: child process
[15472]: Failed to exec /usr/bin/dspam --stdout --deliver=spam,innocent
--mode=tum
--feature=chained,noise --enable-signature-headers --user mail: Permission
denie
d at /usr/sbin/amavisd line 1885, <GEN5> line 985.\n
Aug  3 09:48:33 protein amavis[4038]: (04038-04) WARN: DSPAM problem, exit 1,
re
sult=


Expected Results:  
После правки атрибутов руками все работает.
------- Comment #1 From 2005-08-03 10:55:38 -------
Прошу выслать мне в почту конфиги от amavis, postfix и dspam.
------- Comment #2 From 2006-12-17 21:33:54 -------
re
------- Comment #3 From 2010-10-30 13:34:19 -------
Не знаю насчёт кошмара по имени amavis, а с postfix, как понимаю, работает.
------- Comment #4 From 2010-10-30 19:14:20 -------
Выдержка из changelog'а:

30 августа 2007 Alexey Shentzev <ashen at altlinux.ru> 3.8.0-alt1.4 
closed bugs #12112, #11228, #11243, #7531 of https: // bugzilla.altlinux.org/

3 с лишним года назад как исправил ...
------- Comment #5 From 2010-10-30 21:20:31 -------
Чудесно, закрываем :)